<?php
 
 
 

namespace PhpWA\Protocol\Proto;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class GroupHistoryBundleInfo extends \Google\Protobuf\Internal\Message
{
    


    protected $deprecatedMessageHistoryBundle = null;
    


    protected $processState = null;

    









    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getDeprecatedMessageHistoryBundle()
    {
        return $this->deprecatedMessageHistoryBundle;
    }

    public function hasDeprecatedMessageHistoryBundle()
    {
        return isset($this->deprecatedMessageHistoryBundle);
    }

    public function clearDeprecatedMessageHistoryBundle()
    {
        unset($this->deprecatedMessageHistoryBundle);
    }

    




    public function setDeprecatedMessageHistoryBundle($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\Message\MessageHistoryBundle::class);
        $this->deprecatedMessageHistoryBundle = $var;

        return $this;
    }

    



    public function getProcessState()
    {
        return isset($this->processState) ? $this->processState : 0;
    }

    public function hasProcessState()
    {
        return isset($this->processState);
    }

    public function clearProcessState()
    {
        unset($this->processState);
    }

    




    public function setProcessState($var)
    {
        GPBUtil::checkEnum($var, \PhpWA\Protocol\Proto\GroupHistoryBundleInfo\ProcessState::class);
        $this->processState = $var;

        return $this;
    }

}

